ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée <nicolas.lale...@hibnet.org>
Subject Re: IvyDE: impossible to resolve dependencies
Date Wed, 13 May 2009 10:07:10 GMT
On mercredi 13 mai 2009 05:54:21 rob08 wrote:
> Hi all,
>
> I'm migrating projects from ivy1 to ivy 2.  My ant task is able to resolve
> dependencies using ivy 2 fine.
>
> Using IvyDE in Eclipse 3.4, I get errors as follows:
> Impossible to resolve dependencies of somevendor#somemodule;working@mypc
>   unresolved dependency: somevendor#othermodule;latest.integration: not
> found
> ...etc
>
> I have installed the latest (as of yesterday) ivyde from the update site
> (which, if I understand correctly also installs Ivy).
>
> Any tips as to why ant can resolve and eclipse cannot?

Check that you have the same setup in both: the same ivysettings used, the 
same configuration, check that your are not using ant properties in the 
ivysettings (ant properties cannot be loaded with the last release of IvyDE, 
it will be possible for the next one), and check that in IvyDE you are not 
using the "resolve in workspace" which is quite experimental.

Then there is the IvyConsole which has some verbose log about the resolve 
process in Eclipse.

Nicolas

PS: there is an Ivy/IvyDE user mailing list, ivy-user@ant.apache.org
see http://ant.apache.org/ivy/ivyde/mailing-lists.html


Mime
  • Unnamed multipart/alternative (inline, 7-Bit, 0 bytes)
View raw message